// Resultant waveform from the addition of three AC voltages
// SCILAB source file: ex3002.sci
// Set up the plot window
q=gda();            // Default axes
q.thickness=1;      // Line thickness
q.grid=[4,4];       // Add a dashed grid in cyan
q.font_size=3;      // Set the font size
t=(0:0.0001:0.02)'; // Array of values for time, t 
xdel();
// Define v1, v2, v3 and v4
v1 = 100*sin(100*%pi*t);
v2 = 250*sin((200*%pi*t) - (%pi/2));
v3 = 450*sin(300*%pi*t);
v4 = v1 + v2 + v3;
// Plot v1 in blue
plot2d(t,v1,rect=[0,-800,0.02,800],style=2);
// Plot v2 in red
plot2d(t,v2,rect=[0,-800,0.02,800],style=5);
// Plot v3 in yellow
plot2d(t,v3,rect=[0,-800,0.02,800],style=6);
// Plot v4 in green
plot2d(t,v4,rect=[0,-800,0.02,800],style=13);
// Add legends
legend("v1","v2","v3","v4");

